Skip to main content
GET
List all messages

Authorizations

Authorization
string
header
required

Default authentication mechanism

Query Parameters

partnerId
string

Only return messages with this partner.

tenantId
string

Only return messages with the partner that has this ID in your system.

sourceType
enum<string>

Only return messages sent by the partner (partner) or by your program (program).

Available options:
partner,
program
unread
boolean

Only return messages that are unread (true) or read (false) by the recipient. Without sourceType, this returns messages from partners.

endingBefore
string

If specified, the query only searches for results before this cursor. Mutually exclusive with startingAfter.

Example:

"msg_1KAP4CDPBSVMMBMH9XX3YZZ0Z"

startingAfter
string

If specified, the query only searches for results after this cursor. Mutually exclusive with endingBefore.

Example:

"msg_1KAP4CDPBSVMMBMH9XX3YZZ0Z"

pageSize
integer
default:100

The number of items per page.

Required range: x <= 100
Example:

50

Response

The list of messages.

id
string
required
text
string
required
readInApp
string | null
required
readInEmail
string | null
required
createdAt
string
required
updatedAt
string
required
attachments
object[]
required
sourceType
enum<string>
required

Whether your program or the partner sent the message.

Available options:
program,
partner
partner
object
required

The partner in the conversation. email is null for partners from the network who haven't joined your program.